/*-
 *  Copyright (C) 2009 Peter Baldwin
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.peterbaldwin.vlcremote.model;

import java.util.ArrayList;

public final class Playlist extends ArrayList<PlaylistItem> implements PlaylistItem {

    private static final long serialVersionUID = 1L;

    private final int mId;

    private final String mName;

    public Playlist(int id, String name) {
        mId = id;
        mName = name;
    }

    public int getId() {
        return mId;
    }

    public String getName() {
        return mName;
    }

    /** {@inheritDoc} */
    public boolean isCurrent() {
        return false;
    }

    /** {@inheritDoc} */
    public CharSequence getText1() {
        return mName;
    }

    /** {@inheritDoc} */
    public CharSequence getText2() {
        return "";
    }
}
